{
	"type": "object",
	"description": "Details about waveform files",
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Waveform Information",
	"required": [
		"sample_block_file",
		"sample_data_files"
	],
	"properties": {
		"sample_data_files": {
			"type": "array",
			"items": {
				"type": "object",
				"required": [
					"channel",
					"channel_name",
					"sample_interval",
					"sample_bits",
					"laser_wavelength",
					"delta_st",
					"file_extension"
				],
				"properties": {
					"file_extension": {
						"description": "Sample data file extension, without the leading dot",
						"type": "string"
					},
					"sample_bits": {
						"type": "integer",
						"description": "Bitwidth of samples (e.g. 10 bit, 12 bit)",
						"maximum": 32,
						"exclusiveMinimum": false,
						"minimum": 0,
						"exclusiveMaximum": false
					},
					"laser_wavelength": {
						"description": "Laser wavelength in meters (0 = unknown)",
						"type": "number",
						"minimum": 0,
						"exclusiveMinimum": false
					},
					"delta_st": {
						"description": "reserved",
						"type": "number"
					},
					"sample_interval": {
						"description": "Sampling interval in seconds",
						"type": "number",
						"minimum": 0,
						"exclusiveMinimum": false
					},
					"file_uuid": {
						"description": "File's Universally Unique Identifier (RFC 4122)",
						"type": "string"
					},
					"channel_name": {
						"description": "Sample block channel name",
						"type": "string"
					},
					"channel": {
						"type": "integer",
						"description": "Sample block channel number (255 = invalid)",
						"maximum": 255,
						"exclusiveMinimum": false,
						"minimum": 0,
						"exclusiveMaximum": false
					}
				}
			}
		},
		"range_offset_m": {
			"description": "Calibrated device specific range offset for waveform analysis by system response fitting in meters.",
			"type": "number"
		},
		"sample_block_file": {
			"type": "object",
			"required": [
				"file_extension"
			],
			"properties": {
				"file_extension": {
					"description": "Sample block file extension, without the leading dot",
					"type": "string"
				},
				"file_uuid": {
					"description": "File's Universally Unique Identifier (RFC 4122)",
					"type": "string"
				}
			}
		},
		"range_offset_waveform_samples_m": {
			"description": "Calibrated device specific range offset for waveform samples in meters.",
			"type": "number"
		}
	}
}